about summary refs log tree commit diff homepage
path: root/.travis
diff options
context:
space:
mode:
authorMartin Nowack <martin@se.inf.tu-dresden.de>2016-02-27 15:13:07 +0100
committerMartin Nowack <martin@se.inf.tu-dresden.de>2016-02-27 15:13:07 +0100
commit18f01e9f6d5471d176091f24671bef3eac0293ac (patch)
tree3e9a7d4a09e734453ee6cd303e3c8941d1d8a224 /.travis
parenta6a5c148b63f811a6df1e5a3eb6edd43148df510 (diff)
downloadklee-18f01e9f6d5471d176091f24671bef3eac0293ac.tar.gz
Travis: Run TCMalloc runs explicitly
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/install-tcmalloc.sh16
-rwxr-xr-x.travis/klee.sh4
2 files changed, 13 insertions, 7 deletions
diff --git a/.travis/install-tcmalloc.sh b/.travis/install-tcmalloc.sh
index 8d60a997..5a86380b 100755
--- a/.travis/install-tcmalloc.sh
+++ b/.travis/install-tcmalloc.sh
@@ -1,10 +1,12 @@
 #!/bin/bash -x
 set -ev
 
-# Get tcmalloc release
-wget https://github.com/gperftools/gperftools/releases/download/gperftools-2.4/gperftools-2.4.tar.gz
-tar xfz gperftools-2.4.tar.gz
-cd gperftools-2.4
-./configure --disable-dependency-tracking --disable-cpu-profiler --disable-heap-checker --disable-debugalloc  --enable-minimal --prefix=/usr
-make
-sudo make install
+if [ ${USE_TCMALLOC:-0} -eq 1 ] ; then
+	# Get tcmalloc release
+	wget https://github.com/gperftools/gperftools/releases/download/gperftools-2.4/gperftools-2.4.tar.gz
+	tar xfz gperftools-2.4.tar.gz
+	cd gperftools-2.4
+	./configure --disable-dependency-tracking --disable-cpu-profiler --disable-heap-checker --disable-debugalloc  --enable-minimal --prefix=/usr
+	make
+	sudo make install
+fi
diff --git a/.travis/klee.sh b/.travis/klee.sh
index acb2a8d1..296e1c83 100755
--- a/.travis/klee.sh
+++ b/.travis/klee.sh
@@ -68,6 +68,9 @@ for solver in ${SOLVER_LIST}; do
     exit 1
   esac
 done
+
+
+TCMALLOC_OPTION=$([ "${USE_TCMALLOC:-0}" == 1 ] && echo "--with-tcmalloc" || echo "--without-tcmalloc")
 ###############################################################################
 # KLEE
 ###############################################################################
@@ -85,6 +88,7 @@ ${KLEE_SRC}/configure --with-llvmsrc=/usr/lib/llvm-${LLVM_VERSION}/build \
             ${KLEE_STP_CONFIGURE_OPTION} \
             ${KLEE_Z3_CONFIGURE_OPTION} \
             ${KLEE_UCLIBC_CONFIGURE_OPTION} \
+            ${TCMALLOC_OPTION} \
             CXXFLAGS="${COVERAGE_FLAGS}" \
             && make DISABLE_ASSERTIONS=${DISABLE_ASSERTIONS} \
                     ENABLE_OPTIMIZED=${ENABLE_OPTIMIZED} \